# Gimp.Config.deserialize_parasite

    @accepts(Gimp.Config, Gimp.Parasite, gpointer)
    @returns(bool)
    def deserialize_parasite(self, parasite, data):
        # Python wrapper for gimp_config_deserialize_parasite()

Configures self from parasite. Basically this function creates a properly configured GLib.Scanner for you and calls the deserialize function of the self's Gimp.ConfigInterface.

Since 3.0

self

  a GObject.Object that implements the Gimp.ConfigInterface.

parasite

  parasite containing a serialized config string

data

  client data

Returns